IT業界での少し気分がアップする出来事、心持ち役立つこと、ややイイ話

PyScripterが動かない!?

»

1年くらい前に「Pythonの開発環境にはPyScripterがとってもおススメ」というエントリーを書いたのですが、最近、パソコンに、このPyScripterをインストールしてみると、「Python could not be properly initialized. We must quit.」

Error.png

というメッセージが出て動きません。
このメッセージはPythonをインストールしていないときに出るエラーなのですが、Pythonを入れた後も、変わらず出続けてしまいます。
調べてみると、Python3.4.xだと、PyScripterは動作しないようです。
私がインストールしたのは3.4.2でした。

PyScripterのFAQページには、

Which Python versions are supported?
PyScripter supports Python versions 2.3, 2.4, 2.5, 2.6, 3.0 and 3.1. You should consider support for version 2.3 as deprecated and likely to be dropped soon.

と書いてあります。3.2以降の動作は保障されてない、ということですね。
3.3だと動いた、と書いている人がいたので、3.4.2はアンインストールし、バイナリ版のある3.3.5をダウンロードすることにします。
Python 3.3.5
https://www.python.org/downloads/release/python-335/

python.png

Filesの中から、
「Windows x86-64 MSI installer」
をクリックし、ダウンロードされた「python-3.3.5.amd64.msi」をダブルクリックして、Python 3.3.5をインストールします。

Install.png
[ Next> ]を何度か押し、[ Finish ]でインストール完了です。

無事、動作するようになりました。

PyScripter.png

Comment(0)

コメント

コメントを投稿する